var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { isArray } from 'lodash';
import BreadCrumbItem from './components/BreadCrumbItem';
export var initialProps = {
    basePath: '/',
    baseTitle: 'Inicio',
    items: [],
};
var getItem = function (item, position, attribute) {
    if (typeof item === 'string') {
        return item;
    }
    else if (isArray(item)) {
        return item[position];
    }
    return item[attribute];
};
var mappItem = function (item) {
    var title = getItem(item, 0, 'title');
    var href = getItem(item, 1, 'href');
    return {
        title: title,
        active: Boolean(href) === true,
        href: href,
    };
};
var BreadCrumb = function (props) {
    var _a, _b;
    return (_jsx("nav", __assign({ "aria-label": "breadcrumb", className: "text-center text-md-right" }, { children: _jsxs("ol", { children: [_jsx(BreadCrumbItem, { title: String(props.baseTitle || initialProps.baseTitle), href: props.basePath || initialProps.basePath }, void 0), (_b = (_a = props.items) === null || _a === void 0 ? void 0 : _a.map) === null || _b === void 0 ? void 0 : _b.call(_a, function (item, index) { return (_jsx(BreadCrumbItem, __assign({}, mappItem(item)), index)); })] }, void 0) }), void 0));
};
export default BreadCrumb;
