var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { Checkbox, } from 'primereact/checkbox';
import React from 'react';
var CheckBox = React.forwardRef(function (props, ref) {
    var invalid = props.invalid, name = props.name, className = props.className, rest = __rest(props, ["invalid", "name", "className"]);
    var onChange = props.onChange, value = props.value;
    var onChangeFn = function (e) {
        //@ts-ignore
        onChange(e.checked);
    };
    return (_jsxs("div", __assign({ className: "w-100 d-flex flex-row align-items-center" }, { children: [_jsx(Checkbox, __assign({}, rest, { inputId: props.name, onChange: onChangeFn, checked: value }), void 0), _jsx("label", __assign({ className: "ms-1 align-self-center", htmlFor: props.name, 
                //@ts-ignore
                ref: function (currentRef) {
                    try {
                        if (!ref) {
                            //@ts-ignore
                            ref = currentRef;
                        }
                    }
                    catch (error) { }
                } }, { children: props.label }), void 0)] }), void 0));
});
export default CheckBox;
