var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import React, { useEffect, useRef } from 'react';
import { useController } from 'react-hook-form';
//@ts-ignore
var ControlledWrapper = function (_a) {
    var children = _a.children, name = _a.name, rules = _a.rules, _b = _a.defaultValue, defaultValue = _b === void 0 ? null : _b, _c = _a.shouldUnregister, shouldUnregister = _c === void 0 ? false : _c;
    var _d = useController({
        //@ts-ignore
        name: name,
        defaultValue: defaultValue,
        rules: rules,
        shouldUnregister: shouldUnregister,
    }), field = _d.field, fieldState = _d.fieldState;
    var ref = useRef(null);
    useEffect(function () {
        try {
            field.ref(ref.current);
        }
        catch (error) { }
    }, [field]);
    return React.Children.map(children, function (child) {
        if (React.isValidElement(child)) {
            return React.cloneElement(child, __assign(__assign({}, field), { 
                //@ts-ignore
                ref: ref === null || ref === void 0 ? void 0 : ref.current, invalid: fieldState.invalid }));
        }
        return child;
    });
};
export default ControlledWrapper;
