var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import { jsx as _jsx } from "react/jsx-runtime";
import classNames from 'classnames';
import React, { useMemo } from 'react';
import useName from './hooks/useName';
var Group = React.forwardRef(function (_a, ref) {
    var _b = _a.name, name = _b === void 0 ? '' : _b, children = _a.children;
    var newName = useName({ name: name });
    var body = useMemo(function () {
        return React.Children.map(children, function (child) {
            if (React.isValidElement(child)) {
                return React.cloneElement(child, {
                    name: name,
                    //@ts-ignore
                    ref: ref,
                });
            }
            return child;
        });
    }, [children, name, ref]);
    return (_jsx("div", __assign({ className: classNames('p-inputgroup', 'field-container', "group__" + newName) }, { children: body }), void 0));
});
export default Group;
