var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import { uniqueId } from 'lodash';
import { createHook, createStore, defaults } from 'react-sweet-state';
import { setState } from 'utils/state';
defaults.devtools = true;
export var initialState = {
    preview: true,
    isVisible: false,
    uuid: uniqueId('Image-selector'),
};
export var ImageSelectorStore = createStore({
    name: 'ImageSelector',
    initialState: initialState,
    actions: {
        setState: setState(),
        toggleDialog: function (isVisible) {
            if (isVisible === void 0) { isVisible = false; }
            return function (_a) {
                var setter = _a.setState;
                setter({
                    isVisible: isVisible,
                });
            };
        },
    },
});
var hook = createHook(ImageSelectorStore);
export var useImageSelector = function () {
    var _a = hook(), state = _a[0], actions = _a[1];
    return __assign(__assign({}, state), actions);
};
