import moment from "moment";
export var DATE_FORMAT = "yyyy-MM-DD";
export var objectToB64 = function (data) { return jsonToB64(JSON.stringify(data)); };
export var jsonToB64 = function (json) { return Buffer.from(json).toString("base64"); };
export var b64ToObject = function (b64) {
    return JSON.parse(new Buffer(b64, "base64").toString("ascii"));
};
export var toMoment = function (date) {
    var newDate = moment(date).format("dddd DD [de] MMMM [de] yyyy, [a las ]") +
        moment(date).format("HH:mm:ss a");
    return newDate.toUpperCase();
};
export var getId = function (object, param) {
    if (param === void 0) { param = "id"; }
    return object[param];
};
export var concatIfExist = function (values) {
    return values.filter(function (value) { return value && value !== ""; }).join(" ");
};
export var setValueId = function (value) { return (value ? getId(value) : value); };
export var setValueTrim = function (value) { var _a; return (_a = value.trim()) !== null && _a !== void 0 ? _a : ""; };
export var toBackendDate = function (date) { return moment(date).format(DATE_FORMAT); };
export var toFrontDate = function (date) { return moment(date).toDate(); };
