var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import { jsx as _jsx } from "react/jsx-runtime";
import { get } from "lodash";
import React, { useEffect, useMemo, useRef } from "react";
import { useController } from "react-hook-form";
import useName from "./hooks/useName";
var Controller = function (props) {
    var name = props.name, _a = props.rules, rules = _a === void 0 ? {} : _a, children = props.children;
    var defaultValue = props.defaultValue, shouldUnregister = props.shouldUnregister, refPath = props.refPath;
    var _b = useController({
        //@ts-ignore
        name: name,
        defaultValue: defaultValue,
        rules: rules,
        shouldUnregister: shouldUnregister,
    }), field = _b.field, fieldState = _b.fieldState;
    var ref = useRef(null);
    useEffect(function () {
        field.ref(ref.current);
    }, [field]);
    var htmlName = useName({ prefix: "controller", name: name });
    var body = useMemo(function () {
        return React.Children.map(children, function (child) {
            if (React.isValidElement(child)) {
                return React.cloneElement(child, __assign(__assign({ 
                    //@ts-ignore
                    name: name }, field), { 
                    //@ts-ignore
                    ref: function (childRef) {
                        //@ts-ignore
                        if (childRef)
                            ref.current = get(childRef, refPath, childRef);
                    }, invalid: fieldState.invalid }));
            }
            return child;
        });
    }, [children, name, field, fieldState.invalid, refPath]);
    return _jsx("div", __assign({ className: htmlName }, { children: body }), void 0);
};
export default Controller;
