var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import { jsx as _jsx } from "react/jsx-runtime";
import { toFrontDate } from "./utils/funciones";
import classNames from "classnames";
import { Calendar } from "primereact/calendar";
import React from "react";
var DateInput = React.forwardRef(function (props, ref) {
    var _a;
    var invalid = props.invalid, name = props.name, className = props.className, rest = __rest(props, ["invalid", "name", "className"]);
    var onChange = props.onChange, onBlur = props.onBlur, changers = props.changers, value = props.value;
    var onChangeFn = function (evt) {
        var _a;
        (_a = changers === null || changers === void 0 ? void 0 : changers.forEach) === null || _a === void 0 ? void 0 : _a.call(changers, function (changer) {
            var _a;
            if (typeof changer === "function") {
                evt.target.value = changer(evt.target.value);
            }
            else if (typeof changer === "string") {
                evt.target.value = (_a = evt.target.value) === null || _a === void 0 ? void 0 : _a[changer]();
            }
        });
        onChange && onChange(evt);
        onBlur && onBlur(evt);
    };
    return (_jsx(Calendar
    //   id={name}
    , __assign({ 
        //   id={name}
        className: classNames((_a = {},
            //@ts-ignore
            _a[className] = true,
            _a["w-100"] = true,
            _a["p-invalid"] = invalid,
            _a)), inputId: name, inputClassName: 'w-100', onChange: onChangeFn, dateFormat: 'dd/mm/yy', placeholder: 'DD/MM/yyyy', monthNavigator: true, yearNavigator: true, yearRange: '1930:2030', value: toFrontDate(value), 
        //@ts-ignore
        //   ref={ref}
        inputRef: ref }, rest), void 0));
});
export default DateInput;
