var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import classNames from 'classnames';
import React, { useMemo } from 'react';
import useName from './hooks/useName';
var FieldWrapper = function (_a) {
    var children = _a.children, name = _a.name, label = _a.label, className = _a.className;
    var htmlName = useName({ prefix: 'field_wrapper', name: name });
    var htmlLabelName = useName({ prefix: 'field_wrapper__label', name: name });
    var body = useMemo(function () {
        return React.Children.map(children, function (child) {
            if (React.isValidElement(child)) {
                return React.cloneElement(child, { name: name });
            }
            return child;
        });
    }, [children, name]);
    var labelComponent = useMemo(function () {
        if (label) {
            return (_jsx("label", __assign({ className: classNames('w-100', 'label-form', htmlLabelName), htmlFor: name, style: {
                    cursor: 'pointer',
                } }, { children: label }), void 0));
        }
        return null;
    }, [htmlLabelName, label, name]);
    return (_jsxs("div", __assign({ className: classNames(htmlName, className, 'my-3 align-self-baseline') }, { children: [labelComponent, body] }), void 0));
};
export default FieldWrapper;
