/// <reference types="react-sweet-state" />
export interface ImageSelectorStoreProps {
    preview?: boolean;
    isVisible?: boolean;
    uuid?: string;
}
export declare const initialState: ImageSelectorStoreProps;
export declare const ImageSelectorStore: import("react-sweet-state").Store<object, {
    setState: (state: any) => ({ setState: setter }: import("react-sweet-state").StoreActionApi<ImageSelectorStoreProps>) => void;
    toggleDialog: (isVisible?: boolean) => ({ setState: setter }: import("react-sweet-state").StoreActionApi<object>) => void;
}>;
export interface UseImageSelectorProps extends ImageSelectorStoreProps {
    setState: (state: ImageSelectorStoreProps) => void;
    toggleDialog: (isVisible?: boolean) => void;
}
export declare const useImageSelector: () => UseImageSelectorProps;
