var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import { jsx as _jsx } from "react/jsx-runtime";
import classNames from 'classnames';
import { InputNumber } from 'primereact/inputnumber';
import React from 'react';
var NumberInput = React.forwardRef(function (props, ref) {
    var invalid = props.invalid, name = props.name, className = props.className, rest = __rest(props, ["invalid", "name", "className"]);
    var onChange = props.onChange, onBlur = props.onBlur, value = props.value;
    var onChangeFn = function (evt) {
        onChange && onChange(evt === null || evt === void 0 ? void 0 : evt.value);
        onBlur && onBlur(evt === null || evt === void 0 ? void 0 : evt.value);
    };
    return (_jsx(InputNumber, __assign({}, rest, { id: name, className: classNames(className, 'w-100', {
            'p-invalid': invalid,
        }), onChange: onChangeFn, 
        // onBlur={onChangeFn}
        value: value, name: name, 
        //@ts-ignore
        ref: ref }), void 0));
});
export default NumberInput;
