var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import { jsx as _jsx } from "react/jsx-runtime";
import classNames from "classnames";
import { PrimeIcons } from "primereact/api";
import { Dropdown } from "primereact/dropdown";
import React from "react";
var Select = React.forwardRef(function (props, ref) {
    var invalid = props.invalid, name = props.name, className = props.className, onChange = props.onChange, onChangeFn = props.onChangeFn, rest = __rest(props, ["invalid", "name", "className", "onChange", "onChangeFn"]);
    return (_jsx(Dropdown, __assign({ resetFilterOnHide: true, filterMatchMode: 'contains', dropdownIcon: rest.loading ? "pi pi-spin pi-spinner" : PrimeIcons.CHEVRON_DOWN, disabled: rest === null || rest === void 0 ? void 0 : rest.loading, placeholder: (rest === null || rest === void 0 ? void 0 : rest.loading) ? "Buscando..." : rest.placeholder || "SELECCIONE" }, rest, { onChange: function (evt) {
            onChange && onChange(evt);
            onChangeFn && onChangeFn(evt.target.value);
        }, inputId: name, className: classNames(className, "w-100 p-inputtext-sm", {
            "p-invalid": invalid,
            disabled: rest.disabled,
        }), name: name, ref: function (selectRef) {
            try {
                //@ts-ignore
                ref(selectRef === null || selectRef === void 0 ? void 0 : selectRef.focusInput);
            }
            catch (error) { }
        } }), void 0));
});
export default Select;
